---
title: BluetoothRemoteGATTCharacteristic.uuid
slug: Web/API/BluetoothRemoteGATTCharacteristic/uuid
tags:
  - API
  - Bluetooth
  - BluetoothRemoteGATTCharacteristic
  - Experimental
  - Property
  - Reference
  - Service
  - Web Bluetooth API
  - uuid
---
<p>{{SeeCompatTable}}</p>

<p>The <strong><code>BluetoothRemoteGATTCharacteristic.uuid</code></strong> read-only property returns {{domxref("DOMString")}} containing the UUID of the characteristic, for example <code>'00002a37-0000-1000-8000-00805f9b34fb'</code> for the Heart Rate Measurement characteristic.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>uuid</em> = BluetoothRemoteGATTCharacteristic.uuid</pre>

<h3 id="Returns">Returns</h3>

<p>A {{domxref("DOMString")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("Web Bluetooth", "#dom-bluetoothremotegattcharacteristic-uuid", "uuid")}}</td>
   <td>{{Spec2("Web Bluetooth")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.BluetoothRemoteGATTCharacteristic.uuid")}}</p>

<div>{{APIRef("Web Bluetooth")}}</div>
